/* pstyle: phoebe's style :) */

:root {
    --background: rgb(6, 6, 6);
    --banner-background: rgb(10, 10, 10);
    --banner-hover: rgb(14, 14, 14);
    --sub_banner-background: rgb(12, 12, 12);
    --sub_banner-hover: #1e1a22;
    --text-color: #c6b0df;
    --a-color: #ab97c2;
}
#wrapper {
        width: 200px;
    max-width: 200px;
    min-width: 200px;
}
html, body {
    background-color: rgb(6,6,6);
    color: #c6b0df;
    height: 100%;
    width:200px;
    font-family: monospace;
}
a {
    display:inline-block;
    color: #ab97c2;
    background-color: rgb(10,10,10);
    transition: .2s ease-in-out;
}

a:hover {
    background-color: var(--a-color);
    color: var(--banner-background);
    transform:scale(1.05);
}

.selectedPage {
    font-weight: 600;
    text-decoration: none;
}
.selectedPage::before {
    content: '>> '
}

.pageContainer {
    max-width: 240px;
    margin:0 auto;
}

.box {
    margin-top:10px;
    padding:8px;
    width:200px;
    border-radius:12px;
    background-color: var(--banner-background);
    transition: .2s ease-in-out;
}

.box .innerBox {
    padding: 10px;
    background-color: var(--sub_banner-background);
    border-radius:9px;
    transition: .2s ease-in-out;
}

.box .innerBox a {
    color: var(--a-color);
    background-color: var(--sub_banner-background);
    transition: .2s ease-in-out;
}

.box .innerBox a:hover {
    background-color: var(--a-color);
    color: var(--sub_banner-background);
    transform:scale(1.05);
}

.rightImage {
    float: right;
}

.box:hover {
    border-radius:14px;
}

.box:hover a {
    color: var(--a-color);
    background-color: var(--banner-hover);
    transition: .2s ease-in-out;
}

.box:hover a:hover {
    background-color: var(--a-color);
    color: var(--banner-hover);
    transform:scale(1.05);
}

.box .innerBox:hover {
    padding: 10px;
    background-color: var(--sub_banner-hover);
}

.box:hover .innerBox {
    border-radius:12px;
}

.box .innerBox:hover a {
    color: var(--a-color);
    background-color: var(--sub_banner-hover);
    transition: .2s ease-in-out;
}

.box .innerBox:hover a:hover {
    background-color: var(--a-color);
    color: var(--sub_banner-hover);
    transform:scale(1.05);
}

.flex {
    display: flex;
    max-width:850px;
}

.logo {
    width:auto;
    height:86px;
    transition: .6s ease-in, .2s ease-out;
    display:inline-block;
    user-select: none;
}

.logo:hover {
    transform:scale(1.05) rotate(1.6deg);
}

.bigger {
    transform:scale(1.15) rotate(2.6deg) !important;
}

.container-padded {
    padding:22px;
}

.container {
    width: 240px;
}

ul {
    margin-top:0;
}

h1 {
    margin:0;
}

.project_title {
    font-size: 20px;
    font-weight: bold;
}

.biggerText {
    font-size: 28px !important;
}

.my_name {
    transition: transform .2s ease-in-out !important;
    -webkit-background-clip: text !important;
}

.webButton {
    transition: .2s ease-in-out !important;
    background-color:transparent !important;
    image-rendering: pixelated !important;
}

.webButton img {
    border-radius: 2px !important;
    image-rendering: pixelated !important;
    transition: transform .15s ease-in-out !important;
}

.webButton:hover {
    transform: scale(1.25) !important;
}

.hotlinkHover {
    display: inline-block;
    user-select: none;
}
.disableTransitions {
    transition: none !important;
}
.disableTransitions * {
    transition: none !important;
}

.off {
    color: transparent !important;
    background-color: black;
    transition: none !important;
}

.off a {
    color: transparent !important;
    background-color: black !important;
    transition: none !important;
}
.off a:hover {
    color: transparent !important;
    background-color: black !important;
    transition: none !important;
}
.off .my_name {
    background: none !important;
}
.off span {
    color: transparent !important;
    transition: none !important;
}

.off img {
    opacity: 0;
    transition: none !important;
}

.disableTransitions .webButton {
    transition: none !important;
}

.off .shown {
    color: var(--text-color) !important;
}
.off .shown:hover {
    color: var(--text-color) !important;
}
.off div {
    background-color: black !important;
    transition: none !important;
}

.listContent:hover {
    font-style: italic;
}